# DemoService工程简介

## 目录介绍
#### ./package  
此为上传到AbleCloud的所有文件,将子目录下的文件打包上传AbleCloud平台即可
#### ./src
src为maven工程DemoService的源代码
#### ./pom.xml
pom.xml为maven工程DemoService的配置文件

##上传AbleCloud平台步骤：
进入到package目录下，选择该目录下所有文件并压缩为zip格式文件，使用这个zip文件上传到AbleCloud平台即可。

zip文件的目录结构如下：

```
/config
    /cloudservice-conf.xml
/lib
    /ablecloud-framework-1.5.16.jar
    /ac-java-api-1.8.0.jar
    /commons-collections-3.2.1.jar
    /commons-configuration-1.10.jar
    /commons-lang-2.6.jar
    /slf4j-api-1.7.7.jar
    /...
start.sh
start.cmd
```

##本机测试
安装jdk的前提下，Windows使用start.cmd命令，Linux/Mac使用sh start.sh命令启动本机服务。

> 通过mvn package自动编译生成DemoService-2.0.9.jar文件到./package/lib目录下后，即可在终端进入package目录下启动命令进行本机测试。（注意当编译新版本后，需要重启本机服务）

